PHPExcel_RichText

# Class: PHPExcel_RichText

Source Location: /PHPExcel/RichText.php

### Class Overview

PHPExcel_RichText

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Methods

- __construct
- addText
- createText
- createTextRun
- getHashCode
- getPlainText
- getRichTextElements
- setRichTextElements
- __clone
- __toString

### Class Details

[line 36]
PHPExcel_RichText

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 51]

`PHPExcel_RichText __construct( [PHPExcel_Cell $pCell = null], PHPExcel_Cell $pParent)`

Create a new PHPExcel_RichText instance

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Cell | $pParent |
PHPExcel_Cell | $pCell |

[ Top ]

### method addText [line 77]

`PHPExcel_RichText addText( [PHPExcel_RichText_ITextElement $pText = null])`

Add text

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_RichText_ITextElement | $pText | Rich text element

[ Top ]

### method createText [line 90]

`PHPExcel_RichText_TextElement createText( [string $pText = ''])`

Create text

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pText | Text

[ Top ]

### method createTextRun [line 104]

`PHPExcel_RichText_Run createTextRun( [string $pText = ''])`

Create text run

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pText | Text

[ Top ]

### method getHashCode [line 171]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getPlainText [line 116]

`string getPlainText( )`

Get plain text

#### Tags:

access: | public

[ Top ]

### method getRichTextElements [line 144]

`PHPExcel_RichText_ITextElement[] getRichTextElements( )`

Get Rich Text elements

#### Tags:

access: | public

[ Top ]

### method setRichTextElements [line 156]

`PHPExcel_RichText setRichTextElements( [PHPExcel_RichText_ITextElement[] $pElements = null])`

Set Rich Text elements

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_RichText_ITextElement[] | $pElements | Array of elements

[ Top ]

### method __clone [line 186]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### method __toString [line 135]

`string __toString( )`

Convert to string

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:34 +0200 by phpDocumentor 1.4.4